%define anolis_release 1

%define cpan_name File-Temp
%define cpan_version 0.2311
Name:           perl-File-Temp
Epoch:          1
Version:        0.2311
Release:        %{anolis_release}%{?dist} 
Summary:        Return name and handle of a temporary file safely
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Temp
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils make perl(POSIX) perl(strict) perl(warnings) perl(Carp) perl(constant)
BuildRequires:  perl-generators perl-interpreter perl(Scalar::Util) perl(FileHandle) perl(Test::More)
BuildRequires:  perl(Cwd) perl(Errno) perl(IO::Handle) perl(IO::Seekable) perl(overload) perl(Config)
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(Fcntl) >= 1.03
BuildRequires:  perl(File::Path) >= 2.06
BuildRequires:  perl(File::Spec) >= 0.8
BuildRequires:  perl(parent) >= 0.221
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(POSIX)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Symbol|VMS::Stdio\\)

%description
File::Temp can be used to create and open temporary files in a safe way.
There is both a function interface and an object-oriented interface. The
File::Temp constructor or the tempfile() function can be used to return the
name and the open file handle of a temporary file. The tempdir() function
can be used to create a temporary directory.

The security aspect of temporary file creation is emphasized such that a
filehandle and filename are returned together.
This helps guarantee that a race condition can not occur where the temporary
file is created by another process between checking for the existence of the
file and its opening. Additional security levels are provided to check,
for example, that the sticky bit is set on world writable directories.
See "safe_level" for more information.

For compatibility with popular C library functions, Perl implementations of
the mkstemp() family of functions are provided. These are, mkstemp(),
mkstemps(), mkdtemp() and mktemp().

Additionally, implementations of the standard POSIX tmpnam() and tmpfile()
functions are provided if required.

Implementations of mktemp(), tmpnam(), and tempnam() are provided, but should
be used with caution since they return only a filename that was valid when
function was called, so cannot guarantee that the file will not exist by the
time the caller opens the filename.

Filehandles returned by these functions support the seekable methods.

%package        help
Summary:        man files for perl-File-Temp
BuildArch:      noarch
Requires:       man

%description    help
This package includes man files for File::Temp

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1
chmod -x misc/benchmark.pl
perl -MConfig -p -i -e 's|\A#!/usr/local/bin/perl\b|$Config{startperl}|' \
    misc/benchmark.pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes misc README
%license LICENSE
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*

%changelog
* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 0.2311-1
- Initial version from upstream 0.2311
